Page MenuHomePhabricator

[Epic] Basic first prototype for structured data support for Commons
Closed, ResolvedPublic

Description

This ticket is tracking everything we need for the first ugly prototype for structured data support for Commons.

It will not be deployed on Commons but only on a test system. It will have the file meta data stored on a separate page still. It will not be able to use items and properties from Wikidata yet.

This includes only a very basic implementation.

Related Objects

StatusAssignedTask
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
ResolvedAbit
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
Resolveddaniel
ResolvedTobi_WMDE_SW
ResolvedNone
ResolvedLuke081515
ResolvedBene
ResolvedBene
ResolvedBene
Resolvedadrianheine
Resolvedadrianheine
ResolvedBene
ResolvedBene
Resolvedthiemowmde
Resolvedthiemowmde
ResolvedJeroenDeDauw
Resolvedthiemowmde
ResolvedBene
ResolvedNone
ResolvedBene
DeclinedBene
DuplicateNone
Declinedadrianheine
Resolvedadrianheine
Resolveddaniel
Declinedadrianheine
Resolvedadrianheine
Resolvedadrianheine
Resolvedadrianheine
DeclinedNone
Resolvedadrianheine

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Lydia_Pintscher raised the priority of this task from to Normal.Feb 4 2016, 2:44 PM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald TranscriptFeb 4 2016, 2:44 PM
Bene renamed this task from [Epic] Ugly first prototype for structured data support for Commons to [Epic] Basic first prototype for structured data support for Commons.Feb 4 2016, 3:39 PM
Bene updated the task description. (Show Details)
Bene set Security to None.
Bene added a subscriber: Bene.
Steinsplitter moved this task from Incoming to Backlog on the Commons board.Feb 13 2016, 5:33 PM
Tobi_WMDE_SW updated the task description. (Show Details)Feb 15 2016, 2:13 PM
Jheald added a subscriber: Jheald.Feb 16 2016, 4:19 PM
Lydia_Pintscher moved this task from incoming to hold on the Wikidata board.Feb 19 2016, 10:30 AM
DannyH added a subscriber: DannyH.Mar 2 2016, 4:36 PM
Raymond added a subscriber: Raymond.Mar 7 2016, 9:35 PM
Ayack added a subscriber: Ayack.Mar 7 2016, 10:50 PM

I just tried to create a MediaInfo entity through wbeditentity using I78ce2ac14a6750807f09722c7b0a48a3e199228e. What still fails and thus prevents successful creation of entities:

  • WikiPageEntityMetaDataLookup uses getNumericId
  • EntityFactory is initialized with a static list in WikibaseRepo and calls the factory methods newEmpty on EntityId classes.
  • WikiPageEntityStore calls setId with a number
  • Diffing support
aude added a subscriber: aude.Apr 18 2016, 6:47 PM

ran into the same issues as Adrian:

  • EntityFactory::newEmpty does not work for MediaInfo, because it uses a hardcoded mapping of entity types and classes (w/o any hook or such for new types)
  • Places in the code when assigning a fresh id to a new entity that expect numeric entity ids and expect methods like ItemId::newFromNumber exist for MediaInfoId
  • Problem with serialization (calling Wikibase\DataModel\SerializerFactory::newEntitySerializer, which is aware of only Item and Property entity types) in ParserOutputJsConfigBuilder - fixed by Bene's not-yet-merged chain of patches Gerrit change 278566
  • Problem with diffing: "Diffing the provided types of entities is not supported", "*": "#0 /var/www/wiki/w/extensions/Wikidata/vendor/wikibase/data-model-services/src/Diff/EntityDiffer.php - presumably what phab:T78298 is working to address.
Restricted Application added a subscriber: Poyekhali. · View Herald TranscriptApr 18 2016, 6:47 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 2:27 PM
JeanFred removed a subscriber: JeanFred.Apr 19 2016, 3:43 PM
aude added a comment.Jul 19 2016, 3:25 AM
This comment was removed by aude.
Tobi_WMDE_SW closed this task as Resolved.
Tobi_WMDE_SW claimed this task.

The demo system has been updated with the functionality that was needed for this very first prototype, so we are closing this. A more advanced prototype with more functionality is currently being worked on and this is tracked in T134473

The demo system has been updated with the functionality that was needed for this very first prototype, so we are closing this. A more advanced prototype with more functionality is currently being worked on and this is tracked in T134473

Is the demo system you mention available for public access?

Is the demo system you mention available for public access?

Yes. I will send an email with some more explanation and context in the next days. (Without it it doesn't make a lot of sense so far.)